/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#pragma once
#include "resource.h"

// fugenCrashDlg ダイアログ

class fugenCrashDlg : public CDialog
{
	DECLARE_DYNAMIC(fugenCrashDlg)

	CString m_strLog;
	HFONT m_hFontLink;
	HCURSOR m_hCursorFinger;

public:
	fugenCrashDlg(CWnd* pParent = NULL);
	virtual ~fugenCrashDlg();

// ダイアログ データ
	enum { IDD = IDD_CRASH };

	void SetStackLog(const CString& str);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();

	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	DECLARE_MESSAGE_MAP()

private:
	// Retrieves a cursor resource from Windows.
	HCURSOR GetFingerCursor() const;
	BOOL TestHotText(UINT nIDC, UINT message, const CPoint& point);
};
